#pragma once

class BMPPlotter;

// COptLosDisplayDlg dialog

class COptLosDisplayDlg : public CDialog
{
	DECLARE_DYNAMIC(COptLosDisplayDlg)

public:
	COptLosDisplayDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~COptLosDisplayDlg();

	void SetPlotter(BMPPlotter *p);

// Dialog Data
	enum { IDD = IDD_DIALOG_DISPLAY };

protected:
	BMPPlotter *m_pPlotter;
	float m_fMapScale;
	CPoint m_tMapOffset;
	bool m_bMouseDown;
	CPoint m_tMouseDownPos;
	CDC m_hImageDC;
	CBitmap m_Bitmap;

	afx_msg void OnPaint();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnKeyUp(UINT nChar, UINT nRepCnt, UINT nFlags);
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual BOOL OnInitDialog(void);
};
