#ifndef _wndthreadbase_h
#define _wndthreadbase_h

#include "afxwin.h"
#include <process.h>
#include <exception>

#include "threadbase.h"

template <class T> class WndThreadBase : public ThreadBase
{
public:
	WndThreadBase(CWnd* pParent, bool issuspended = false) :
				  ThreadBase(issuspended),
				  m_pParentClass((T*)pParent)
	{
	}

	virtual void Execute() = 0;

protected:
	static unsigned int __stdcall privExecute(void *param)
	{
		WndThreadBase<T> *me;

		/* cast param to a pointer of me */
		me = (WndThreadBase<T>*)param;

		/* call member function */
		me->Execute();

		/* return OK */
		return 0;
	}

	T *m_pParentClass;
};

#endif